nagios_host 'jurabibliotek.dk' do
	options 'use' => 'noping-host-https',
		'alias' => 'DJOEF',
		'address' => 'www.jurabibliotek.dk',
		'contact_groups' => 'cs_escalation,djoef',
		'notes' => 'DJOEF Live Site',
		'notes_url' => 'https://safari.atlassian.net/wiki/spaces/DJOEF/pages/470843516/Server+Setup+-+Dj+f+djoef'
end
nagios_host 'staging.jurabibliotek.dk' do
	options 'use' => 'noping-host-https',
		'alias' => 'DJOEF',
		'address' => 'staging.jurabibliotek.dk',
		'contact_groups' => 'cs_escalation,djoef',
		'notes' => 'DJOEF Staging Site',
		'notes_url' => 'https://safari.atlassian.net/wiki/spaces/DJOEF/pages/470843516/Server+Setup+-+Dj+f+djoef'
end
nagios_host 'admin.jurabibliotek.dk' do
	options 'use' => 'noping-host-https',
		'alias' => 'DJOEF',
		'address' => 'admin.jurabibliotek.dk',
		'contact_groups' => 'cs_escalation,djoef',
		'notes' => 'DJOEF Production Management Portal',
		'notes_url' => 'https://safari.atlassian.net/wiki/spaces/DJOEF/pages/470843516/Server+Setup+-+Dj+f+djoef'
end
nagios_host 'ams.jurabibliotek.dk' do
	options 'use' => 'noping-host-https',
		'alias' => 'DJOEF',
		'address' => 'ams.jurabibliotek.dk',
		'contact_groups' => 'cs_escalation,djoef',
		'notes' => 'DJOEF Production AMS',
		'notes_url' => 'https://safari.atlassian.net/wiki/spaces/DJOEF/pages/470843516/Server+Setup+-+Dj+f+djoef'
end
#------------------------------------------------------------------------------------
# HOMEPAGE
# checks the homepage of the live DJOEF site and checks for the string 'Sheridan Pubfactory'.
#
# Node-specific: NO, Pager-level: YES
#------------------------------------------------------------------------------------
nagios_service 'jurabibliotek.dk-Live Homepage' do
	options 'use' => 'sbo-service-pf',
		'host_name' => 'jurabibliotek.dk',
		'display_name' => 'Live Homepage',
		'check_command' => 'https_content_check_basic_auth!djoef:djoef2018!/!"Forlag"!10!20!',
		'contact_groups' => 'cs_escalation,djoef',
		'notes' => 'DJOEF Live Site',
		'notes_url' => 'https:/www.jurabibliotek.dk'
end
#------------------------------------------------------------------------------------
# HOMEPAGE (NODE 1)
# checks the homepage of the live DJOEF site on the first web node and checks for the string 'Sheridan Pubfactory'.
#
# Node-specific: YES, Pager-level: NO
#------------------------------------------------------------------------------------
nagios_service 'jurabibliotek.dk-Live Homepage: web-25' do
	options 'use' => 'sbo-service-pf',
		'host_name' => 'jurabibliotek.dk',
		'display_name' => 'Live Homepage: web-25',
		'check_command' => 'https_content_check_basic_auth_single_node!djoef:djoef2018!/!"Sheridan Pubfactory"!10!20!djoef-web-live25!web-25!',
		'contact_groups' => 'admins_email_only,djoef',
		'notes' => 'DJOEF Live Site: web-25',
		'notes_url' => 'https:/www.jurabibliotek.dk'
end
#------------------------------------------------------------------------------------
# HOMEPAGE (NODE 2)
# checks the homepage of the live DJOEF site on the sercond web node and checks for the string 'Sheridan Pubfactory'.
#
# Node-specific: YES, Pager-level: NO
#------------------------------------------------------------------------------------
nagios_service 'jurabibliotek.dk-Live Homepage: web-11' do
	options 'use' => 'sbo-service-pf',
		'host_name' => 'jurabibliotek.dk',
		'display_name' => 'Live Homepage: web-11',
		'check_command' => 'https_content_check_basic_auth_single_node!djoef:djoef2018!/!"Sheridan Pubfactory"!10!20!djoef-web-live11!web-11!',
		'contact_groups' => 'admins_email_only,djoef',
		'notes' => 'DJOEF Live Site: web-11',
		'notes_url' => 'https:/www.jurabibliotek.dk'
end
#------------------------------------------------------------------------------------
# SEARCH
# Checks the search of the live DJOEF site and checks for the string 'Professionelle juratitler'.
#
# Node-specific: NO, Pager-level: YES
#------------------------------------------------------------------------------------
nagios_service 'jurabibliotek.dk-Live Search' do
	options 'use' => 'sbo-service-pf',
		'host_name' => 'jurabibliotek.dk',
		'display_name' => 'Live Search',
		'check_command' => 'https_content_check_basic_auth!djoef:djoef2018!/browse!browse!10!20!',
		'contact_groups' => 'cs_escalation,djoef',
		'notes' => 'DJOEF Live Site',
		'notes_url' => 'https:/www.jurabibliotek.dk/browse'
end
#------------------------------------------------------------------------------------
# SEARCH (NODE 1)
# Checks the search of the live DJOEF site on the first web node and checks for the string 'Professionelle juratitler'.
#
# Node-specific: YES, Pager-level: NO
#------------------------------------------------------------------------------------
nagios_service 'jurabibliotek.dk-Live Search: web-25' do
	options 'use' => 'sbo-service-pf',
		'host_name' => 'jurabibliotek.dk',
		'display_name' => 'Live search: web-25',
		'check_command' => 'https_content_check_basic_auth_single_node!djoef:djoef2018!/browse!browse!10!20!djoef-web-live25!web-25!',
		'contact_groups' => 'admins_email_only,djoef',
		'notes' => 'DJOEF Live Site: web-25',
		'notes_url' => 'https:/www.jurabibliotek.dk/browse'
end
#------------------------------------------------------------------------------------
# SEARCH (NODE 2)
# Checks the search of the live DJOEF site on the second web node and checks for the string 'Professionelle juratitler'.
#
# Node-specific: YES, Pager-level: NO
#------------------------------------------------------------------------------------
nagios_service 'jurabibliotek.dk-Live search: web-11' do
	options 'use' => 'sbo-service-pf',
		'host_name' => 'jurabibliotek.dk',
		'display_name' => 'Live search: web-11',
		'check_command' => 'https_content_check_basic_auth_single_node!djoef:djoef2018!/browse!browse!10!20!djoef-web-live11!web-11!',
		'contact_groups' => 'admins_email_only,djoef',
		'notes' => 'DJOEF Live Site: web-11',
		'notes_url' => 'https:/www.jurabibliotek.dk/browse'
end
#------------------------------------------------------------------------------------
# CONTENT VIEW
# checks the content view of the live DJOEF site and checks for the string 'Professionelle juratitler'.
#
# Node-specific: NO, Pager-level: YES
#------------------------------------------------------------------------------------
nagios_service 'jurabibliotek.dk-Live content view' do
	options 'use' => 'sbo-service-pf',
		'host_name' => 'jurabibliotek.dk',
		'display_name' => 'Live content view',
		'check_command' => 'https_content_check_basic_auth!djoef:djoef2018!/abstract/9788757490879/9788757490879_0006.xml!domsforhandlingen!10!20!',
		'contact_groups' => 'cs_escalation,djoef',
		'notes' => 'DJOEF Live Site',
		'notes_url' => 'https:/www.jurabibliotek.dk/abstract/8757423303/8757423303.xml'
end
#------------------------------------------------------------------------------------
# CONTENT VIEW (NODE 1)
# checks the content view of the live DJOEF site on the first web node and checks for the string 'Professionelle juratitler'.
#
# Node-specific: YES, Pager-level: NO
#------------------------------------------------------------------------------------
nagios_service 'jurabibliotek.dk-Live content view: web-25' do
	options 'use' => 'sbo-service-pf',
		'host_name' => 'jurabibliotek.dk',
		'display_name' => 'Live content view: web-25',
		'check_command' => 'https_content_check_basic_auth_single_node!djoef:djoef2018!/abstract/9788757490879/9788757490879_0006.xml!domsforhandlingen!10!20!djoef-web-live25!web-25!',
		'contact_groups' => 'admins_email_only,djoef',
		'notes' => 'DJOEF Live Site: web-25',
		'notes_url' => 'https:/www.jurabibliotek.dk/abstract/8757423303/8757423303.xml'
end
#------------------------------------------------------------------------------------
# CONTENT VIEW (NODE 2)
# checks the content view of the live DJOEF site on the sedmond web node and checks for the string 'Professionelle juratitler'.
#
# Node-specific: YES, Pager-level: NO
#------------------------------------------------------------------------------------
nagios_service 'jurabibliotek.dk-Live content view: web-11' do
	options 'use' => 'sbo-service-pf',
		'host_name' => 'jurabibliotek.dk',
		'display_name' => 'Live content view: web-11',
		'check_command' => 'https_content_check_basic_auth_single_node!djoef:djoef2018!/abstract/9788757490879/9788757490879_0006.xml!domsforhandlingen!10!20!djoef-web-live11!web-11!',
		'contact_groups' => 'admins_email_only,djoef',
		'notes' => 'DJOEF Live Site: web-11',
		'notes_url' => 'https:/www.jurabibliotek.dk/abstract/8757423303/8757423303.xml'
end
#------------------------------------------------------------------------------------
# LOADER
# Checks a loader login page and looks for the string 'Login' in the response.
#
# Node-specific: NO, Pager-level: NO
#------------------------------------------------------------------------------------
nagios_service 'jurabibliotek.dk-Production Loader' do
	options 'use' => 'sbo-service-pf',
		'host_name' => 'admin.jurabibliotek.dk',
		'display_name' => 'Production Loader',
		'check_command' => 'check_loader_auth!admin.jurabibliotek.dk!/login!djoef:djoef2018!"DJOEF Production"!20!10',
		'contact_groups' => 'admins_email_only,djoef',
		'notes' => 'DJOEF Live Loader',
		'notes_url' => 'https:/admin.jurabibliotek.dk/login'
end
#------------------------------------------------------------------------------------
# STAGING
# Checks the staging site homepage and looks for the string 'Sheridan Pubfactory' in the response.
#
# Node-specific: NO, Pager-level: NO
#------------------------------------------------------------------------------------
nagios_service 'jurabibliotek.dk-Staging Homepage' do
	options 'use' => 'sbo-service-pf',
		'host_name' => 'staging.jurabibliotek.dk',
		'display_name' => 'Staging Homepage',
		'check_command' => 'https_content_check_basic_auth!djoef:djoef2018!/!"Forlag"!10!20!',
		'contact_groups' => 'admins_email_only,djoef',
		'notes' => 'DJOEF Staging Site',
		'notes_url' => 'staging.jurabibliotek.dk'
end
#------------------------------------------------------------------------------------
# AMX
# Checks the production amx homepage and looks for the string 'AMS' in the response.
#
# Node-specific: NO, Pager-level: NO
#------------------------------------------------------------------------------------
nagios_service 'jurabibliotek.dk-Production AMX' do
	options 'use' => 'sbo-service-pf',
		'host_name' => 'ams.jurabibliotek.dk',
		'display_name' => 'Production AMX',
		'check_command' => 'check_loader_auth!ams.jurabibliotek.dk!/login!djoef:djoef2018!AMS!20!10',
		'contact_groups' => 'admins_email_only,djoef',
		'notes' => 'DJOEF AMX',
		'notes_url' => 'https:/ams.jurabibliotek.dk/login'
end
#------------------------------------------------------------------------------------
# FAIL OPEN
# Checks the production homepage and makes sure we're not in fail open by checking
# that the string "Provisional Account" is NOT in the page.
#
# Node-specific: NO, Pager-level: NO
#------------------------------------------------------------------------------------
nagios_service 'jurabibliotek.dk-Live Site Fail Open' do
	options 'use' => 'sbo-service-pf',
		'host_name' => 'jurabibliotek.dk',
		'display_name' => 'Live Site Fail Open',
		'check_command' => 'http_negate_content_check_basic_auth!jurabibliotek.dk!djoef:djoef2018!"provisional account"',
		'contact_groups' => 'admins_email_only,djoef',
		'notes' => 'DJOEF Live Site Failopen',
		'notes_url' => 'https:/www.jurabibliotek.dk/'
end
