nagios_host 'oxfordreference.com' do
	options 'use' => 'generic-host',
		'alias' => 'oro ewhserver2564 ewhserver2570 ewhserver2571',
		'address' => 'www.oxfordreference.com',
		'contact_groups' => 'cs_escalation,oup',
		'notes' => 'OUP CORE ORO SiteGen Site',
		'notes_url' => 'https://safari.atlassian.net/wiki/spaces/OUP/pages/82575550/Server+Setup+-+OUP+CORE+ORO+-+Oxford+Reference'
end
nagios_service 'oxfordreference.com-Homepage' do
	options 'use' => 'sbo-service-pf',
		'host_name' => 'oxfordreference.com',
		'display_name' => 'Homepage',
		'check_command' => 'http_content_check!/!9!15!Oxford!Contact!Reference!!',
		'notes' => 'OUP CORE ORO SiteGen Site',
		'notes_url' => 'https://safari.atlassian.net/wiki/spaces/OUP/pages/82575550/Server+Setup+-+OUP+CORE+ORO+-+Oxford+Reference'
end
nagios_service 'oxfordreference.com-Browse' do
	options 'use' => 'sbo-service-pf',
		'host_name' => 'oxfordreference.com',
		'display_name' => 'Browse',
		'contact_groups' => 'admins_email_only,oup',
		'check_command' => 'http_content_check!/browse!9!15!Oxford!Index!Overview!',
		'notes' => 'OUP CORE ORO SiteGen Site',
		'notes_url' => 'https://safari.atlassian.net/wiki/spaces/OUP/pages/82575550/Server+Setup+-+OUP+CORE+ORO+-+Oxford+Reference'
end
nagios_service 'oxfordreference.com-Search' do
	options 'use' => 'sbo-service-pf',
		'host_name' => 'oxfordreference.com',
		'display_name' => 'Search',
		'check_command' => 'http_content_check!\'/search?siteToSearch=aup&q=military&searchBtn=Search&isQuickSearch=true\'!10!13!Oxford!Reference!military!',
		'contact_groups' => 'admins_email_only,oup',
		'notes' => 'OUP CORE ORO SiteGen Site',
		'notes_url' => 'https://safari.atlassian.net/wiki/spaces/OUP/pages/82575550/Server+Setup+-+OUP+CORE+ORO+-+Oxford+Reference'
end
nagios_service 'oxfordreference.com-Homepage Node ewhserver2564' do
	options 'use' => 'sbo-service-pf',
		'host_name' => 'oxfordreference.com',
		'display_name' => 'Homepage Node ewhserver2564',
		'check_command' => 'http_content_check!/?server=2564!9!15!Oxford!Contact!Reference!',
		'contact_groups' => 'admins_email_only,oup',
		'notes' => 'OUP CORE ORO SiteGen Site',
		'notes_url' => 'https://safari.atlassian.net/wiki/spaces/OUP/pages/82575550/Server+Setup+-+OUP+CORE+ORO+-+Oxford+Reference'
end
nagios_service 'oxfordreference.com-Homepage Node ewhserver2570' do
	options 'use' => 'sbo-service-pf',
		'host_name' => 'oxfordreference.com',
		'display_name' => 'Homepage Node ewhserver2570',
		'check_command' => 'http_content_check!/?server=2570!9!15!Oxford!Contact!Reference!',
		'contact_groups' => 'admins_email_only,oup',
		'notes' => 'OUP CORE ORO SiteGen Site',
		'notes_url' => 'https://safari.atlassian.net/wiki/spaces/OUP/pages/82575550/Server+Setup+-+OUP+CORE+ORO+-+Oxford+Reference'
end
nagios_service 'oxfordreference.com-Homepage Node ewhserver2571' do
	options 'use' => 'sbo-service-pf',
		'host_name' => 'oxfordreference.com',
		'display_name' => 'Homepage Node ewhserver2571',
		'check_command' => 'http_content_check!/?server=2571!9!15!Oxford!Contact!Reference!',
		'contact_groups' => 'admins_email_only,oup',
		'notes' => 'OUP CORE ORO SiteGen Site',
		'notes_url' => 'https://safari.atlassian.net/wiki/spaces/OUP/pages/82575550/Server+Setup+-+OUP+CORE+ORO+-+Oxford+Reference'
end
nagios_service 'oxfordreference.com-Homepage Node ewhserver2568' do
	options 'use' => 'sbo-service-pf',
		'host_name' => 'oxfordreference.com',
		'display_name' => 'Homepage Node ewhserver2568',
		'check_command' => 'http_content_check!/?server=2568!9!15!Oxford!Contact!Reference!',
		'contact_groups' => 'admins_email_only,oup',
		'notes' => 'OUP CORE ORO SiteGen Site',
		'notes_url' => 'https://safari.atlassian.net/wiki/spaces/OUP/pages/82575550/Server+Setup+-+OUP+CORE+ORO+-+Oxford+Reference'
end
nagios_service 'oxfordreference.com-Homepage Node ewhserver2569' do
	options 'use' => 'sbo-service-pf',
		'host_name' => 'oxfordreference.com',
		'display_name' => 'Homepage Node ewhserver2569',
		'check_command' => 'http_content_check!/?server=2569!9!15!Oxford!Contact!Reference!',
		'contact_groups' => 'admins_email_only,oup',
		'notes' => 'OUP CORE ORO SiteGen Site',
		'notes_url' => 'https://safari.atlassian.net/wiki/spaces/OUP/pages/82575550/Server+Setup+-+OUP+CORE+ORO+-+Oxford+Reference'
end
nagios_service 'oxfordreference.com-Search Node ewhserver2564' do
	options 'use' => 'sbo-service-pf',
		'host_name' => 'oxfordreference.com',
		'display_name' => 'Search Node ewhserver2564',
		'check_command' => 'http_content_check!\'/search?siteToSearch=aup&q=military&searchBtn=Search&isQuickSearch=true&server=2564\'!10!13!Oxford!Reference!military!',
		'contact_groups' => 'admins_email_only,oup',
		'notes' => 'OUP CORE ORO SiteGen Site',
		'notes_url' => 'https://safari.atlassian.net/wiki/spaces/OUP/pages/82575550/Server+Setup+-+OUP+CORE+ORO+-+Oxford+Reference'
end
nagios_service 'oxfordreference.com-Search Node ewhserver2570' do
	options 'use' => 'sbo-service-pf',
		'host_name' => 'oxfordreference.com',
		'display_name' => 'Search Node ewhserver2570',
		'check_command' => 'http_content_check!\'/search?siteToSearch=aup&q=military&searchBtn=Search&isQuickSearch=truei&server=2570\'!10!13!Oxford!Reference!military!',
		'contact_groups' => 'admins_email_only,oup',
		'notes' => 'OUP CORE ORO SiteGen Site',
		'notes_url' => 'https://safari.atlassian.net/wiki/spaces/OUP/pages/82575550/Server+Setup+-+OUP+CORE+ORO+-+Oxford+Reference'
end
nagios_service 'oxfordreference.com-Search Node ewhserver2571' do
	options 'use' => 'sbo-service-pf',
		'host_name' => 'oxfordreference.com',
		'display_name' => 'Search Node ewhserver2571',
		'check_command' => 'http_content_check!\'/search?siteToSearch=aup&q=military&searchBtn=Search&isQuickSearch=truei&server=2571\'!10!13!Oxford!Reference!military!',
		'contact_groups' => 'admins_email_only,oup',
		'notes' => 'OUP CORE ORO SiteGen Site',
		'notes_url' => 'https://safari.atlassian.net/wiki/spaces/OUP/pages/82575550/Server+Setup+-+OUP+CORE+ORO+-+Oxford+Reference'
end
nagios_service 'oxfordreference.com-Search Node ewhserver2568' do
	options 'use' => 'sbo-service-pf',
		'host_name' => 'oxfordreference.com',
		'display_name' => 'Search Node ewhserver2568',
		'check_command' => 'http_content_check!\'/search?siteToSearch=aup&q=military&searchBtn=Search&isQuickSearch=truei&server=2568\'!10!13!Oxford!Reference!military!',
		'contact_groups' => 'admins_email_only,oup',
		'notes' => 'OUP CORE ORO SiteGen Site',
		'notes_url' => 'https://safari.atlassian.net/wiki/spaces/OUP/pages/82575550/Server+Setup+-+OUP+CORE+ORO+-+Oxford+Reference'
end
nagios_service 'oxfordreference.com-Search Node ewhserver2569' do
	options 'use' => 'sbo-service-pf',
		'host_name' => 'oxfordreference.com',
		'display_name' => 'Search Node ewhserver2569',
		'check_command' => 'http_content_check!\'/search?siteToSearch=aup&q=military&searchBtn=Search&isQuickSearch=truei&server=2569\'!10!13!Oxford!Reference!military!',
		'contact_groups' => 'admins_email_only,oup',
		'notes' => 'OUP CORE ORO SiteGen Site',
		'notes_url' => 'https://safari.atlassian.net/wiki/spaces/OUP/pages/82575550/Server+Setup+-+OUP+CORE+ORO+-+Oxford+Reference'
end
nagios_service 'oxfordreference.com-Loader oro-staging-loader' do
	options 'use' => 'sbo-service-pf',
		'host_name' => 'oxfordreference.com',
		'display_name' => 'Loader oro-staging-loader',
		'contact_groups' => 'oup',
		'check_command' => 'check_loader_auth!admin.prod.oxfordreference.com!/!oro:oro2012!Portal!20!14!',
		'notes' => 'OUP CORE ORO SiteGen Site',
		'notes_url' => 'https://safari.atlassian.net/wiki/spaces/OUP/pages/82575550/Server+Setup+-+OUP+CORE+ORO+-+Oxford+Reference'
end
nagios_service 'oxfordreference.com-Staging oro-staging' do
	options 'use' => 'sbo-service-pf',
		'host_name' => 'oxfordreference.com',
		'display_name' => 'Staging oro-staging',
		'check_command' => 'check_staging_auth!oro.stg.oxfordreference.com!oro:oro2012!Subscriber!12!8!',
		'contact_groups' => 'admins_email_only,oup',
		'notes' => 'OUP CORE ORO SiteGen Site',
		'notes_url' => 'https://safari.atlassian.net/wiki/spaces/OUP/pages/82575550/Server+Setup+-+OUP+CORE+ORO+-+Oxford+Reference'
end
nagios_service 'oxfordreference.com-Book Node' do
	options 'use' => 'sbo-service-pf',
		'host_name' => 'oxfordreference.com',
		'display_name' => 'Book Node',
		'check_command' => 'http_content_check!/view/10.1093/acref/9780195313734.001.0001/acref-9780195313734!9!15!Oxford!Music!Reference!',
		'contact_groups' => 'admins_email_only,oup',
		'notes' => 'OUP CORE ORO SiteGen Site',
		'notes_url' => 'https://safari.atlassian.net/wiki/spaces/OUP/pages/82575550/Server+Setup+-+OUP+CORE+ORO+-+Oxford+Reference'
end
nagios_service 'oxfordreference.com-Book Node 1' do
	options 'use' => 'sbo-service-pf',
		'host_name' => 'oxfordreference.com',
		'display_name' => 'Book Node 1',
		'check_command' => 'http_content_check!/view/10.1093/acref/9780195313734.001.0001/acref-9780195313734?server=2564!9!15!Oxford!Music!Reference!',
		'contact_groups' => 'admins_email_only,oup',
		'notes' => 'OUP CORE ORO SiteGen Site',
		'notes_url' => 'https://safari.atlassian.net/wiki/spaces/OUP/pages/82575550/Server+Setup+-+OUP+CORE+ORO+-+Oxford+Reference'
end
nagios_service 'oxfordreference.com-Book Node 2' do
	options 'use' => 'sbo-service-pf',
		'host_name' => 'oxfordreference.com',
		'display_name' => 'Book Node 2',
		'check_command' => 'http_content_check!/view/10.1093/acref/9780195313734.001.0001/acref-9780195313734?server=2570!9!15!Oxford!Music!Reference!',
		'contact_groups' => 'admins_email_only,oup',
		'notes' => 'OUP CORE ORO SiteGen Site',
		'notes_url' => 'https://safari.atlassian.net/wiki/spaces/OUP/pages/82575550/Server+Setup+-+OUP+CORE+ORO+-+Oxford+Reference'
end
nagios_service 'oxfordreference.com-Book Node 3' do
	options 'use' => 'sbo-service-pf',
		'host_name' => 'oxfordreference.com',
		'display_name' => 'Book Node 3',
		'check_command' => 'http_content_check!/view/10.1093/acref/9780195313734.001.0001/acref-9780195313734?server=2571!9!15!Oxford!Music!Reference!',
		'contact_groups' => 'admins_email_only,oup',
		'notes' => 'OUP CORE ORO SiteGen Site',
		'notes_url' => 'https://safari.atlassian.net/wiki/spaces/OUP/pages/82575550/Server+Setup+-+OUP+CORE+ORO+-+Oxford+Reference'
end
nagios_service 'oxfordreference.com-Book Node 4' do
	options 'use' => 'sbo-service-pf',
		'host_name' => 'oxfordreference.com',
		'display_name' => 'Book Node 4',
		'check_command' => 'http_content_check!/view/10.1093/acref/9780195313734.001.0001/acref-9780195313734?server=2568!9!15!Oxford!Music!Reference!',
		'contact_groups' => 'admins_email_only,oup',
		'notes' => 'OUP CORE ORO SiteGen Site',
		'notes_url' => 'https://safari.atlassian.net/wiki/spaces/OUP/pages/82575550/Server+Setup+-+OUP+CORE+ORO+-+Oxford+Reference'
end
nagios_service 'oxfordreference.com-Book Node 5' do
	options 'use' => 'sbo-service-pf',
		'host_name' => 'oxfordreference.com',
		'display_name' => 'Book Node 5',
		'check_command' => 'http_content_check!/view/10.1093/acref/9780195313734.001.0001/acref-9780195313734?server=2569!9!15!Oxford!Music!Reference!',
		'contact_groups' => 'admins_email_only,oup',
		'notes' => 'OUP CORE ORO SiteGen Site',
		'notes_url' => 'https://safari.atlassian.net/wiki/spaces/OUP/pages/82575550/Server+Setup+-+OUP+CORE+ORO+-+Oxford+Reference'
end
nagios_service 'oxfordreference.com-Sandbox oro-sandbox' do
	options 'use' => 'sbo-service-pf',
		'host_name' => 'oxfordreference.com',
		'display_name' => 'Sandbox oro-sandbox',
		'check_command' => 'check_staging_auth!oro.qa.oxfordreference.com!oro:oro2012!Subscriber!12!8!',
		'contact_groups' => 'oup',
		'notes' => 'OUP CORE ORO SiteGen Site',
		'notes_url' => 'https://safari.atlassian.net/wiki/spaces/OUP/pages/82575550/Server+Setup+-+OUP+CORE+ORO+-+Oxford+Reference'
end
